## gettext 0.19.7

=== debian/changelog ===
gettext (0.19.7-2ubuntu3.1) xenial-security; urgency=medium

  * SECURITY UPDATE: Invalid free
    - debian/patches/CVE-2018-18751.patch: fix in
      gettext-tools/src/po-gram-gen.y,
      gettext-tools/src/read-catalog.c,
      gettext-tools/tests/Makefile.am,
      gettext-tools/tests/xgettext-po-2.
   - CVE-2018-18751
  * Add bison as build-dep since gettext runs/needs yacc in build time
    - debian/control

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Wed, 07 Nov 2018 15:33:51 -0300

gettext (0.19.7-2ubuntu3) xenial; urgency=medium

  * gettext: Move preloadable_libintl.so into the multiarch libdir.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 10 Feb 2016 13:13:03 +0100

gettext (0.19.7-2ubuntu2) xenial; urgency=medium

  * Fix shlibs dependencies for multiarch locations.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 28 Jan 2016 00:18:41 +0100

gettext (0.19.7-2ubuntu1) xenial; urgency=medium

  * Merge with Debian; remaining changes:
    - Allow the package to cross-build.
    - Define a stage1 profile to build without java and git.
    - Explicitly configure with --disable-csharp.
    - Drop autopoint recommends of gettext. It pulls in git and
      other sizable packages which make the CDs explode.
    - gettext-el: Add an alternative dependency on emacs24.
  * Move libgettextsrc and libgettextlib into the multiarch libdir.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 27 Jan 2016 22:39:58 +0100

gettext (0.19.7-2) unstable; urgency=high

  * Install version specific data files from /usr/share/gettext-VERSION.
    This should fix glade support. Thanks to Daiki Ueno. Closes: #809846. 

 -- Santiago Vila <sanvila@debian.org>  Tue, 05 Jan 2016 00:55:00 +0100

gettext (0.19.7-1) unstable; urgency=medium

  * New upstream release.
  * Drop libexpat1-dev from Build-Depends, following upstream.

 -- Santiago Vila <sanvila@debian.org>  Tue, 29 Dec 2015 18:27:12 +0100

gettext (0.19.6-1ubuntu1) xenial; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Allow the package to cross-build.
    - Define a stage1 profile to build without java and git.
    - Explicitly configure with --disable-csharp.
    - Drop autopoint recommends of gettext. It pulls in git and
      other sizable packages which make the CDs explode.
    - gettext-el: Add an alternative dependency on emacs24.

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Tue, 15 Dec 2015 18:44:34 +0100

gettext (0.19.6-1) unstable; urgency=medium

  * New upstream release.
  * Drop debian/patches/03-fix-gettextize-version. No longer needed.
  * Drop dependency of gettext-base on libasprintf0v5 as it dates from
    a split made in release 0.18.1.1-6.
  * Keep curl and friends in Recommends, for translators.
    Move autopoint, libasprintf-dev and libgettextpo-dev to Suggests.
  * Downgrade libasprintf0v5 to optional.
  * Add debian/upstream/signing-key.asc and improve debian/watch file.
  * Makefile.in.in has now a general mechanism to set the header of
    a POT file, using $(DOMAIN).pot-update. This could be used to set
    copyright holders and other things. Closes: #682580.
  * Fix po-mode handling of msgfmt version number. Closes: #798903.
  * Drop Pre-Depends on multiarch-support, because a stable release
    has already happened.

 -- Santiago Vila <sanvila@debian.org>  Mon, 14 Sep 2015 00:32:52 +0200

gettext (0.19.5.1-1) unstable; urgency=medium

  * New upstream release.
  * New C++ ABI. libasprintf0c2 becomes libasprintf0v5.
    Thanks a lot to Matthias Klose. Closes: #793897.
  * Add patches/03-fix-gettextize-version to avoid FTBFS bugs on
    packages using autopoint and friends. See bug-gettext for details.

 -- Santiago Vila <sanvila@debian.org>  Sun, 02 Aug 2015 21:25:10 +0200

gettext (0.19.4-1ubuntu3) wily; urgency=medium

  * Rename libasprintf0c2 to libasprintf0v5.
  * Add Conflict/Replaces to the old library.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 28 Jul 2015 19:16:23 +0200

gettext (0.19.4-1ubuntu2~gcc5.1) wily; urgency=medium

  * No-change test rebuild for g++5 ABI transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 15 Jul 2015 16:55:51 +0000

gettext (0.19.4-1ubuntu1) wily; urgency=medium

  * Merge with Debian; remaining changes:
    - Allow the package to cross-build.
    - Define a stage1 profile to build without java and git.
    - Explicitly configure with --disable-csharp.
    - Drop autopoint recommends of gettext. It pulls in git and
      other sizable packages which make the CDs explode.
    - gettext-el: Add an alternative dependency on emacs24.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 17 Jun 2015 15:55:57 +0200

gettext (0.19.4-1) unstable; urgency=low

  * New upstream release.
  * Fix msgunfmt segfaults. Closes: #772088.
  * Drop obsolete patches:
  - 03-libtool-powerpc-le.
  - 04-xgettext-fix-double-free.
  - 05-msgunfmt-fix-segfault.
  - 06-msgfilter-fix-read-buffer-allocation.
  - 99-config-guess-config-sub.
  * Drop way obsolete build-time test for glibc >= 2.2.
  * Drop debian/rules hack to keep timestamps.
  * Create md5sums in a reproducible way.
  * Fix mtimes before building binary packages.

 -- Santiago Vila <sanvila@debian.org>  Fri, 15 May 2015 18:01:02 +0200

gettext (0.19.2-2ubuntu1) utopic; urgency=medium

  * Merge with Debian; remaining changes:
    - Allow the package to cross-build.
    - Define a stage1 profile to build without java and git.
    - Explicitly configure with --disable-csharp.
    - Drop autopoint recommends of gettext. It pulls in git and
      other sizable packages which make the CDs explode.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 08 Sep 2014 04:01:48 +0200

gettext (0.18.3.2-1ubuntu1) utopic; urgency=medium

  * Merge with Debian unstable (LP: #1311895), remaining changes:
    - Allow the package to cross-build.
    - Define a stage1 profile to build without java and git.
    - Explicitly configure with --disable-csharp.
    - Drop autopoint recommends of gettext. It pulls in git and

