=== debian/rules ===
--- 
+++ 
@@ -2,9 +2,17 @@
 
 package = gettext
 
+BUILD_DATE := $(shell dpkg-parsechangelog -S Date)
+
 export DEB_BUILD_MAINT_OPTIONS = hardening=-format
 
-CC = gcc
+DEB_BUILD_ARCH := $(shell dpkg-architecture -qDEB_BUILD_ARCH)
+DEB_BUILD_GNU_TYPE := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
+DEB_HOST_GNU_TYPE := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+DEB_HOST_MULTIARCH := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+
+CC = $(DEB_HOST_GNU_TYPE)-gcc
 CFLAGS := `dpkg-buildflags --get CFLAGS` -Wall
 CXXFLAGS := `dpkg-buildflags --get CXXFLAGS` -Wall
 LDFLAGS := `dpkg-buildflags --get LDFLAGS`
@@ -16,13 +24,16 @@
 ATRIP = true
 
 ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
- INSTALL_PROGRAM += -s
- STRIP=strip --strip-unneeded --remove-section=.comment --remove-section=.note
- ATRIP=strip --strip-debug
-endif
-
-DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
-DEB_HOST_MULTIARCH := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+ # FIXME: libtool seems to call strip directly
+ ifeq ($(DEB_HOST_ARCH),$(DEB_BUILD_ARCH))
+   INSTALL_PROGRAM += -s
+   STRIP=strip --strip-unneeded --remove-section=.comment --remove-section=.note
+   ATRIP=strip --strip-debug
+ else
+   STRIP=$(DEB_HOST_GNU_TYPE)-strip --strip-unneeded --remove-section=.comment --remove-section=.note
+   ATRIP=$(DEB_HOST_GNU_TYPE)-strip --strip-debug
+ endif
+endif
 
 export AM_UPDATE_INFO_DIR = no
 
@@ -36,20 +47,30 @@
 #   CSHARP = --enable-csharp=mono
 # endif
 
+CSHARP = --disable-csharp
+
 NOJAVA_ARCHS = %none%
 
+ifeq ($(DEB_STAGE),stage1)
+   STAGE1_ARGS = --disable-java --without-git
+else
+   SET_JAVAC = JAVAC=/usr/lib/jvm/default-java/bin/javac
+endif
+
+# Avoid chaos due to patching libtool.m4
+# (debian/patches/10-libtool-powerpc-le.patch).
+export ACLOCAL := true
+export AUTOCONF := true
+export AUTOHEADER := true
+export AUTOMAKE := true
+
 build:
-	cd debian && $(CC) glibc-test.c
-	debian/a.out
-	sh debian/mk-touch || true
-	touch -d "2014-08-27 02:44:02 UTC" m4/libtool.m4
-	touch -d "2014-10-16 06:01:24 UTC" gettext-runtime/configure
-	touch -d "2014-10-16 06:01:19 UTC" gettext-runtime/libasprintf/configure
-	touch -d "2014-10-16 06:01:34 UTC" gettext-tools/configure
-	touch -d "2014-06-10 06:30:01 UTC" gettext-tools/src/msgfmt.c
 	./configure --prefix=/usr --enable-threads $(CSHARP) \
-		--disable-native-java CC="$(CC)" CFLAGS="$(CFLAGS)" \
-		JAVAC=/usr/lib/jvm/default-java/bin/javac \
+		$(STAGE1_ARGS) \
+		--build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE) \
+		--disable-native-java \
+		CC="$(CC)" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" \
+		$(SET_JAVAC) \
 		CPPFLAGS="$(CPPFLAGS)" \
 		CXXFLAGS="$(CXXFLAGS)" \
 		LDFLAGS="$(LDFLAGS)"
@@ -65,13 +86,13 @@
 	rm -f `find . -name "*~"`
 	rm -rf debian/tmp debian/files* core debian/substvars debian/a.out
 	cd debian && rm -rf gettext-base gettext gettext-el gettext-doc \
-		autopoint libgettextpo0 libasprintf0c2 libgettextpo-dev libasprintf-dev
+		autopoint libgettextpo0 libasprintf0v5 libgettextpo-dev libasprintf-dev
 
 binary-arch: build
 	debian/rules gettext-base
 	debian/rules gettext
 	debian/rules libgettextpo0
-	debian/rules libasprintf0c2
+	debian/rules libasprintf0v5
 	debian/rules libgettextpo-dev
 	debian/rules libasprintf-dev
 
@@ -123,15 +144,18 @@
 	ln -s ngettext.3.gz debian/$@/usr/share/man/man3/dcngettext.3.gz
 	ln -s ngettext.3.gz debian/$@/usr/share/man/man3/dngettext.3.gz
 	$(STRIP) `sh debian/elf debian/$@/usr/bin/*`
-	dpkg-shlibdeps `sh debian/elf debian/$@/usr/bin/* debian/$@/usr/lib/*`
+	dpkg-shlibdeps `sh debian/elf debian/$@/usr/bin/* debian/$@/usr/lib/* debian/$@/usr/lib/$(DEB_HOST_MULTIARCH)/*`
 	dpkg-gencontrol -p$@ -Pdebian/$@
 	cd debian/$@ && \
-		md5sum `find * -type f ! -regex "DEBIAN/.*"` > DEBIAN/md5sums
+		find * -type f ! -regex "DEBIAN/.*" -print0 |\
+		LC_ALL=C sort -z | xargs -0r md5sum > DEBIAN/md5sums
 	find debian/$@/usr/share/locale -type d -empty | xargs -r rmdir
 	find debian/$@/usr/share/locale -type d -empty | xargs -r rmdir
 	find debian/$@/usr/lib -type d -empty | xargs -r rmdir
 	chown -R 0:0 debian/$@
 	chmod -R u+w,go=rX debian/$@
+	find debian/$@ -newermt '$(BUILD_DATE)' -print0 |\
+		xargs -0r touch -h --date='$(BUILD_DATE)'
 	dpkg --build debian/$@ ..
 
 gettext: build
@@ -152,7 +176,7 @@
 	cp -a debian/tmp/usr/lib debian/$@/usr
 	cp -a debian/tmp/usr/share/info debian/$@/usr/share
 	cp -a debian/tmp/usr/share/aclocal debian/$@/usr/share
-	cp -a debian/tmp/usr/share/gettext debian/$@/usr/share
+	cp -a debian/tmp/usr/share/gettext* debian/$@/usr/share
 	rm -f debian/$@/usr/share/gettext/libintl.jar
 ifeq (,$(findstring %$(DEB_HOST_ARCH)%,$(NOJAVA_ARCHS)))
 ifeq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
@@ -171,6 +195,9 @@
 	$(STRIP) debian/$@/usr/lib/preloadable_libintl.so
 	$(STRIP) debian/$@/usr/lib/libgettextlib*.so
 	$(STRIP) debian/$@/usr/lib/libgettextsrc*.so
+	mkdir -p debian/$@/usr/lib/$(DEB_HOST_MULTIARCH)
+	mv debian/$@/usr/lib/libgettextlib*.so debian/$@/usr/lib/libgettextsrc*.so debian/$@/usr/lib/preloadable_libintl.so \
+		debian/$@/usr/lib/$(DEB_HOST_MULTIARCH)
 	rm -f debian/$@/usr/bin/autopoint
 	rm -f debian/$@/usr/share/man/man1/autopoint.1
 	rm -f debian/$@/usr/share/gettext/archive.dir.tar.xz
@@ -178,24 +205,3 @@
 	rm -f debian/$@/usr/lib/libgettextsrc.so
 	gzip -9n debian/$@/usr/share/info/*
 	gzip -r9n debian/$@/usr/share/man
-	$(STRIP) `sh debian/elf debian/$@/usr/bin/* debian/$@/usr/lib/gettext/*`
-	dpkg-shlibdeps `sh debian/elf debian/$@/usr/bin/* debian/$@/usr/lib/gettext/* debian/$@/usr/lib/*`
-	dpkg-gencontrol -p$@ -Pdebian/$@
-	cd debian/$@ && \
-		md5sum `find * -type f ! -regex "DEBIAN/.*"` > DEBIAN/md5sums
-	find debian/$@/usr/share/locale -type d -empty | xargs -r rmdir
-	find debian/$@/usr/share/locale -type d -empty | xargs -r rmdir
-	chown -R 0:0 debian/$@
-	chmod -R u+w,go=rX debian/$@
-	dpkg --build debian/$@ ..
-
-libgettextpo0: build
-	rm -rf debian/$@
-	install -d debian/$@/DEBIAN debian/$@/usr/share/doc/$@
-	cd debian/$@ && install -d usr/lib/$(DEB_HOST_MULTIARCH)
-	cd debian && install -m 644 $@.shlibs $@/DEBIAN/shlibs
-	install -m 755 debian/$@.postinst debian/$@/DEBIAN/postinst
-	cp -p debian/copyright debian/$@/usr/share/doc/$@
-	cp -p debian/changelog debian/$@/usr/share/doc/$@/changelog.Debian
-	cp -p ChangeLog debian/$@/usr/share/doc/$@/changelog
-	cd debian/$@/usr/share/doc/$@ && gzip -9n changelog changelog.Debian
