## gettext 0.19.8.1

=== debian/changelog ===
gettext (0.19.8.1-6ubuntu0.3) bionic; urgency=medium

  * Fix FTBFS with Java 11, by applying Java related patches from
    upstream git (gnulib). Thanks to Emmanuel Bourg <ebourg@apache.org>
    for the report and Bruno Haible <bruno@clisp.org> for the fix.
    Closes: #910246. LP: #1814133.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 21 Feb 2019 15:40:49 +0100

gettext (0.19.8.1-6ubuntu0.1) bionic-security; urgency=medium

  * SECURITY UPDATE: Invalid free
    - debian/patches/CVE-2018-18751.patch: fix in
      gettext-tools/src/po-gram-gen.y,
      gettext-tools/src/read-catalog.c,
      gettext-tools/tests/Makefile.am,
      gettext-tools/tests/xgettext-po-2.
   - CVE-2018-18751
  * Add bison as build-dep since gettext runs/needs yacc in build time
    - debian/control

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Thu, 08 Nov 2018 09:23:47 -0300

gettext (0.19.8.1-6) unstable; urgency=medium

  * Apply all Java 9 related patches from upstream git instead
    of the patch from openSUSE. This fixes gettext FTBFS bug
    in a different way and also fixes msgfmt. Closes: #892733.
    Thanks a lot to Bruno Haible.

 -- Santiago Vila <sanvila@debian.org>  Sat, 24 Mar 2018 19:32:04 +0100

gettext (0.19.8.1-5) unstable; urgency=medium

  * Fix heap corruption in msgunfmt. Patch from Bruno Haible taken from
    upstream git. Thanks to Jakub Wilk. Closes: #876498.
  * Recommend lynx instead on lynx-cur.
    Thanks to Axel Beckert for the report. Closes: #882284.
  * Stop xgettext() from crashing when run with --its=FILE option.
    Patch taken from git. Thanks to Gunnar Hjalmarsson. Closes: #891347.
  * Support "nojava" instead of "stage1" in DEB_BUILD_PROFILES.
    Thanks to Manuel Fernández Montecelo. Closes: #893064.
  * Build with OpenJDK 9. Patch from Tiago Stürmer Daitx, adapted
    from openSUSE. Thanks a lot. Closes: #893739.
  * Move libgettextsrc, libgettextlib, and preloadable_libintl
    to multiarch directory as done on Ubuntu.
  * Use https in Bug-Debian field of Debian patches.

 -- Santiago Vila <sanvila@debian.org>  Sat, 24 Mar 2018 12:24:50 +0100

gettext (0.19.8.1-4) unstable; urgency=medium

  * Avoid extraneous NUL bytes in .mo files. Closes: #872869.
    Patch based on commit 2bad4d89684303fe884410ab0ae53770df6a6093
    by Bruno Haible. Reported by Jakub Wilk. Thanks a lot.

 -- Santiago Vila <sanvila@debian.org>  Tue, 22 Aug 2017 03:20:24 +0200

gettext (0.19.8.1-3) unstable; urgency=medium

  * Add g++ (>= 4:7) to Build-Depends to ensure it's built with GCC 7.
  * Update shlibs file for libasprintf0v5. Closes: #871271.
  * msgfmt: Remove POT-Creation-Date field from the header in the output.
    Taken from upstream commit d13f165b83701dffc14f7151419e0c00c00c0d1b.
    Should help reproducible builds. Closes: #792687, #825436.
  * Drop spurious spaces/tabs in the changelog.
  * Activate ldconfig via triggers.
  * Build against libunistring2.
  * Rename patches to *.patch.

 -- Santiago Vila <sanvila@debian.org>  Sun, 20 Aug 2017 22:50:10 +0200

gettext (0.19.8.1-2) unstable; urgency=medium

  * Use debhelper more.
  * Try to support cross-builds. Closes: #833894.
  * Disable OpenMP support on m68k and sh4. Closes: #846932.

 -- Santiago Vila <sanvila@debian.org>  Mon, 23 Jan 2017 23:11:50 +0100

gettext (0.19.8.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop 02-msgfmt-default-little-endian. Adopted upstream.
  * Regression regarding Glade support should be fixed. Closes: #824642.
  * Make debian/rules shorter by using some debhelper commands.
  * Rename some debian/* files to adopt debhelper naming scheme.

 -- Santiago Vila <sanvila@debian.org>  Mon, 13 Jun 2016 01:06:00 +0200
