=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Santiago Vila <sanvila@debian.org>
 Standards-Version: 3.9.6
-Build-Depends: fastjar, default-jdk, file, bison, libncurses5-dev, libxml2-dev, libglib2.0-dev, libcroco3-dev, xz-utils, libunistring-dev
+Build-Depends: g++ (>= 4:7), debhelper (>= 9), fastjar <!nojava>, default-jdk <!nojava>, file, bison, libncurses5-dev, libxml2-dev, libglib2.0-dev, libcroco3-dev, xz-utils, libunistring-dev
 Homepage: http://www.gnu.org/software/gettext/
 
 Package: gettext-base
@@ -12,7 +12,7 @@
 Priority: standard
 Architecture: any
 Multi-Arch: foreign
-Depends: ${shlibs:Depends}, libasprintf0v5 (>= 0.18.1.1-6)
+Depends: ${shlibs:Depends}
 Description: GNU Internationalization utilities for the base system
  This package includes the gettext and ngettext programs which allow
  other packages to internationalize the messages given by shell scripts.
@@ -21,7 +21,7 @@
 Architecture: any
 Multi-Arch: foreign
 Depends: ${shlibs:Depends}, gettext-base, dpkg (>= 1.15.4) | install-info
-Recommends: curl | wget | lynx-cur, libasprintf-dev, libgettextpo-dev
+Recommends: curl | wget | lynx
 Breaks: autopoint (<= 0.17-11)
 Suggests: gettext-doc, autopoint, libasprintf-dev, libgettextpo-dev
 Description: GNU Internationalization utilities
